Status: Closed

Priority: Normal

Assignee: Tamas Szekeres

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 15009

Description

Using the new SQL server provider with geometry table, it's not possible to have the attribut datas in the window 'attribut table' of QGIS.

We got only "ERROR" on every row.

It's not possible to select on feature on the map, if we click on one all features are selected.

We try several SQL server table and got always the same problem.

History

#1 - 2012-04-05 06:28 AM - Eric Mariage

The problem comes from a column in uniqueIdentifier. The only format for the key seems to be integer.

#2 - 2012-04-11 11:29 AM - Tamas Szekeres

- Assignee set to Tamas Szekeres

#3 - 2012-04-12 05:30 AM - Tamas Szekeres

- Status changed from Open to Feedback

Feature id in QGIS can only be 64 bit in size. The SQL uniqueidentifier type (which is 16 bytes) not sufficient for this purpose. Use int or bigint data types

for the feature id column.

#4 - 2012-06-16 03:49 AM - Jürgen Fischer

- Resolution set to worksforme

- OS version deleted (1.9.90)

- Status changed from Feedback to Closed

seems solved - closing for the lack of feedback
